Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Ubuntu Tweak su Ubuntu Mate 14.04
#1
Ciao,

ho installato Ubuntu Tweak utlizzando lo script di questa guida

http://www.istitutomajorana.it/index.php...&Itemid=33

Alla sezione applicazioni mi dà l'errore 502 Bad Gateway   -   nginx/1.8.0
su google cercando "502 bad gateway nginx 1.8.0 ubuntu tweak " ho trovato ad esempo queste due ma non ci ho capito un gran che:
http://idroot.net/tutorials/fix-502-bad-...ror-nginx/
http://serverfault.com/questions/691428/...ad-gateway

ho provato ad installare il pacchetto ngnx da synapic (vesione 1.4.6) ma naturalmente non ha funzionato .

NB  Ubuntu Mate 14.04 l'ho scaricato da qui https://ubuntu-mate.org/trusty/

Mi arrendo
Marilù
Cita messaggio
Grazie da:
#2
prova con:
http://www.lffl.org/2015/01/come-install...tweak.html
io ho solo cercato sul web, non ho esperienze
Cita messaggio
Grazie da:
#3
Grazie dxgiusti ma quel Mate Tweak si occupa di altre cose riguardo il desktop Mate, leggendo il primo link ho capito solo che è un problema di server localhost.
Marilù
Cita messaggio
Grazie da:
#4
Prova se va così:

http://www.istitutomajorana.it/informati...untu-15-04
Cita messaggio
Grazie da:
#5
L'ho visto solo adesso: dentro il secondo link c'è il collegamento al sito ndinx dove suggeriscono questi comandi

For Ubuntu replace codename with Ubuntu distribution codename, and append the following to the end of the /etc/apt/sources.list file:

deb http://nginx.org/packages/ubuntu/ codename nginx
deb-src http://nginx.org/packages/ubuntu/ codename nginx

For Debian/Ubuntu then run the following commands:

apt-get update
apt-get install nginx


Vi sembrano giusti?
Marilù
Cita messaggio
Grazie da:
#6
Ci ho provato , aprendo da amministratore il file /etc/apt/sources.list si è aperto il gestore sorgenti (bastava aprirlo da synaptic...),
ho aggiunto
deb http://nginx.org/packages/ubuntu/ trusty nginx
deb-src http://nginx.org/packages/ubuntu/ trusty nginx


poi da terminale:
sudo apt-get update
sudo apt-get install nginx
e mi ha dato questo(  ho copiato a partire dalla riga dove compare nginx)



Codice:
Trovato http://nginx.org trusty/nginx amd64 Packages                           
Ign http://ppa.launchpad.net trusty/main Translation-it                        
Ign http://ppa.launchpad.net trusty/main Translation-en                        
Trovato http://nginx.org trusty/nginx i386 Packages                            
Ign http://ppa.launchpad.net trusty/main Translation-it_IT                     
Ign http://ppa.launchpad.net trusty/main Translation-it                        
Ign http://ppa.launchpad.net trusty/main Translation-en                        
Ign http://nginx.org trusty/nginx Translation-it_IT                            
Ign http://nginx.org trusty/nginx Translation-it                               
Ign http://nginx.org trusty/nginx Translation-en                               
Recuperati 287 B in 6s (41 B/s)                                                
Lettura elenco dei pacchetti... Fatto
W: Errore GPG: http://nginx.org trusty Release: Le seguenti firme non sono state verificate perché la chiave pubblica non è disponibile: NO_PUBKEY ABF5BD827BD9BF62
mb3@mb3-Aspire-5745G:~$ apt-get install nginx
E: Impossibile aprire il file di blocco /var/lib/dpkg/lock - open (13: Permesso negato)
E: Impossibile acquisire il blocco sulla directory di amministrazione (/var/lib/dpkg/). È necessario essere root.
mb3@mb3-Aspire-5745G:~$ sudo apt-get install nginx
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
 nginx-common nginx-core
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno aggiornati:
 nginx
1 aggiornati, 0 installati, 0 da rimuovere e 2 non aggiornati.
È necessario scaricare 402 kB di archivi.
Dopo quest'operazione, verranno occupati 957 kB di spazio su disco.
ATTENZIONE: i seguenti pacchetti non possono essere autenticati.
 nginx
Installare questi pacchetti senza verificarli? [s/N]
E: Alcuni pacchetti non possono essere autenticati
mb3@mb3-Aspire-5745G:~$ sudo apt-get install nginx
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze      
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
 nginx-common nginx-core
Usare "apt-get autoremove" per rimuoverli.
I seguenti pacchetti saranno aggiornati:
 nginx
1 aggiornati, 0 installati, 0 da rimuovere e 2 non aggiornati.
È necessario scaricare 402 kB di archivi.
Dopo quest'operazione, verranno occupati 957 kB di spazio su disco.
ATTENZIONE: i seguenti pacchetti non possono essere autenticati.
 nginx
Installare questi pacchetti senza verificarli? [s/N] s
Scaricamento di:1 http://nginx.org/packages/ubuntu/ trusty/nginx nginx amd64 1.8.0-1~trusty [402 kB]
Recuperati 402 kB in 3s (103 kB/s)
(Lettura del database... 222496 file e directory attualmente installati.)
Preparativi per estrarre .../nginx_1.8.0-1~trusty_amd64.deb...
Estrazione di nginx (1.8.0-1~trusty) su (1.4.6-1ubuntu3.1)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/nginx_1.8.0-1~trusty_amd64.deb (--unpack):
tentata sovrascrittura di "/etc/logrotate.d/nginx" presente anche nel pacchetto nginx-common 1.4.6-1ubuntu3.1
dpkg-deb: errore: il sottoprocesso paste è stato terminato dal segnale (Pipe interrotta)
Si sono verificati degli errori nell'elaborazione:
/var/cache/apt/archives/nginx_1.8.0-1~trusty_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
mb3@mb3-Aspire-5745G:~$

I pacchetti non possono essere autenticati e si sono verificati degli errori.
Ho avviato Ubuntu tweak e alla pagina applicazioni sono ricomparsi i programmi.

A parte il fatto che la funzione più utile di Ubuntu Tweak è la pulizia, la pagina delle applicazioni è la meno utile (c'è già Synaptic e il Software centre) il mio dubbio è che questo server non funzionante possa portare altri problemi al sistema.
Appena installato Ubuntu Mate mi ha dato qualche segnalazione di errori di sistema ma vai a sapere da cosa dipendono...

Ho provato ad installare Opera, Skype, Adobe Reader: tutti e tre non sono disponibili.
L'unico programma che ha installato è Shutter però dopo non segnala più con il segno di spunta  che è già installato. Insomma mi sa che almeno per le applicazioni funziona poco .

Dopo ho riaperto synaptic per vedere  i  pacchetti nginx e sono ancora alla versione 1.4.6,
allora dal gestore dei repository  ho eliminato la ppa.
Praticamente i comandi dati da teminale hanno provato ad installare senza riuscirci gli stessi pacchetti che ieri sera ho messo con synaptic:
nginx (1.4.6-1ubuntu3.1)
nginx-common (1.4.6-1ubuntu3.1)
nginx-core (1.4.6-1ubuntu3.1)

Riaggiorno tutto e stranamente Ubuntu tweak ha ancora la pagina delle applicazioni.   Undecided


Allegati Anteprime
   
Marilù
Cita messaggio
Grazie da:
#7
allora sei a posto con ubuntu tweak.

per il resto c'era da importare la chiave di autenticazione di quel ppa, ma non invalidava l'installazione dei pacchetti ti segnalava che non erano autenticati, per l'errore nell'installazione, probabulmente bastava force dell'nstallazione dei pacchetti in cache.

per le applicazioni, opera e adobe non sono nei repo, per skype devi abilitare i repo partner ecode fare un update del sistema, inoltre prima di installarlo, visto che hai un sistema 64 bit devi prima abilitare il supporto alle applicazioni 32 bit.
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#8
Il problema con ubuntu tweak è che il progetto é stato abbandonato, non supporta più la 15.04 e la 15.10 e non è più mantenuto.
Cita messaggio
Grazie da:
#9
(06-11-2015,13:50 )tuxino Ha scritto: per il resto c'era da importare la chiave di autenticazione di quel ppa, ma non invalidava l'installazione dei pacchetti ti segnalava che non erano autenticati, per l'errore nell'installazione, probabulmente bastava force dell'nstallazione dei pacchetti in cache.
 
Ecco quando hai tempo puoi indicare una guida o spiegare come si autenticano le chiavi o si forza l'installazione  così imparo qualcosa di nuovo?
Sul sito di Skype  c'è solo per Ubuntu 12.04 (aprirò un'altra discussione)
Marilù
Cita messaggio
Grazie da:
#10
(06-11-2015,13:52 )Debianity Ha scritto: Il problema con ubuntu tweak è che il progetto é stato abbandonato,  non supporta più la 15.04 e la 15.10 e non è più mantenuto.

Di certo ho notato che non funziona come prima, forse è ancora valida la parte amministrazione - ottimizzazioni.

La pulizia si può fare anche con bleachbit.

EDIT: La versione proposta nel post 4 da Prof è la 0.8.7-1, quella che ho trovato io è la versione successiva, poi appena posso provo ad installarlo in un Ubuntu Mate su virtualbox
Marilù
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)